Skip to content

Search is only available in production builds. Try building and previewing the site to test it out locally.

Payout Services


Endpoint

Method: GET URL: /api/v1/pay-out/services

Authentication: Basic Auth (Business Key + Secret)


Query Parameters

ParameterTypeRequiredDescription
country_iso_codestringNoISO-3 country code to filter services
currencystringNoISO-4217 currency code to filter services

Example cURL

Terminal window
curl -X GET "https://api.cashela.com/api/v1/pay-out/services?country_iso_code=USA&currency=USD" \
-H "Authorization: Basic BASE64_ENCODED_KEY_SECRET" \
-H "Content-Type: application/json" \
-H "Accept: application/json"

Example Response

{
"success": true,
"data": {
"data": [
{ "id": 1, "name": "MobileWallet" },
{ "id": 2, "name": "BankAccount" },
{ "id": 3, "name": "CashPickup" },
{ "id": 10, "name": "ACH Transfer" },
{ "id": 14, "name": "International SWIFT Transfer" }
]
},
"message": "Services retrieved successfully.",
"role": "business"
}

Response Fields

FieldTypeDescription
idintegerUnique service type identifier
namestringHuman-readable service name

Notes

  • Use ISO-3 for country codes and ISO-4217 for currency codes.
  • Filtering is optional; omit to get all available services.
  • Returned services depend on your business account configuration.